PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List projects GETCreate a project POSTGet a project GETUpdate a project PATCHSoft-delete a project DELETE
Projects

Update a project

PATCH
/projects/{projectId}

Authorization

x-api-key<token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "workspaceId": "string",    "categoryId": "string",    "name": "string",    "description": "string",    "color": "string",    "icon": "string",    "archivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Get a project GET

Previous Page

Soft-delete a project DELETE

Next Page

name?string
description?string
color?string
icon?string
categoryId?string